| Home | Libraries | People | FAQ | More

###### params_ref::replace (2 of 3 overloads)

Replace elements.

###### Synopsis

    iterator
    replace(
        iterator from,
        iterator to,
        std::initializer_list< param_view > init);

###### Description

This function replaces a range of elements with the params in an initializer-list.

All iterators that are equal to `from` or come after are invalidated.

###### Remarks

The strings referenced by the inputs must not come from the underlying url, or else the behavior is undefined.

###### Complexity

Linear in `this->url().encoded_query().size()`.

###### Exception Safety

Strong guarantee. Calls to allocate may throw.

###### Return Value

An iterator to the first element inserted, or one past `to` if `init.size() == 0`.

###### Parameters

Name | Description
--- | ---
`from`, `to` | The range of elements to replace.
`init` | The list of params to assign.